## ros-kinetic-cob-helper-tools 0.6.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_helper_tools)

find_package(catkin REQUIRED COMPONENTS dynamic_reconfigure message_generation)

generate_dynamic_reconfigure_options(
  cfg/HelperTools.cfg
)

catkin_package(
  CATKIN_DEPENDS dynamic_reconfigure
)

#############
## Install ##
#############

catkin_install_python(PROGRAMS
  scripts/auto_init.py
  scripts/auto_recover.py
  scripts/fake_diagnostics.py
  scripts/fake_driver.py
  scripts/visualize_navigation_goals.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-cob-helper-tools (0.6.21-2xenial) xenial; urgency=high

  * Merge pull request #301 <https://github.com/ipa320/cob_command_tools/issues/301> from HannesBachter/fix/visualize_in_map
    remove leading / in frame_id
  * remove leading / in frame_id
  * Contributors: Felix Messmer, HannesBachter

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-helper-tools (0.6.20-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 24 Jan 2021 23:00:00 -0000

ros-kinetic-cob-helper-tools (0.6.19-2xenial) xenial; urgency=high

  * Merge pull request #287 <https://github.com/ipa320/cob_command_tools/issues/287> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-kinetic-cob-helper-tools (0.6.18-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-kinetic-cob-helper-tools (0.6.17-2xenial) xenial; urgency=high

  * Merge pull request #284 <https://github.com/ipa320/cob_command_tools/issues/284> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 16 Oct 2020 22:00:00 -0000

ros-kinetic-cob-helper-tools (0.6.16-2xenial) xenial; urgency=high

  * Merge pull request #270 <https://github.com/ipa320/cob_command_tools/issues/270> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * python3 compatibility via 2to3
  * Merge pull request #271 <https://github.com/ipa320/cob_command_tools/issues/271> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Merge pull request #265 <https://github.com/ipa320/cob_command_tools/issues/265> from HannesBachter/feature/recover_service
    add services to en- and disable auto recover
  * add services to en- and disable auto recover
    add services to en- and disable auto recover
  * Contributors: Felix Messmer, Loy van Beek, fmessmer, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-helper-tools (0.6.15-2xenial) xenial; urgency=high

  * Merge pull request #253 <https://github.com/ipa320/cob_command_tools/issues/253> from benmaidel/fix/visualize_nav_goals
    visualize nav_goals improvements
  * improvements:
    - add every nav_goal to a separate namespace (enable/disable visual)
    - fix scaling for Arrow marker
  * Contributors: Benjamin Maidel, Florian Weisshardt

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-helper-tools (0.6.14-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Aug 2019 22:00:00 -0000

ros-kinetic-cob-helper-tools (0.6.13-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 18 Jul 2019 22:00:00 -0000

ros-kinetic-cob-helper-tools (0.6.12-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-cob-helper-tools (0.6.11-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-cob-helper-tools (0.6.10-2xenial) xenial; urgency=high

  * Merge pull request #239 <https://github.com/ipa320/cob_command_tools/issues/239> from fmessmer/max_retry_auto_init
    introduce max_retries for auto_init
  * introduce max_retries for auto_init
  * Merge pull request #231 <https://github.com/ipa320/cob_command_tools/issues/231> from fmessmer/auto_recover_diagnostics_based
    fix typo
  * fix typo
  * Merge pull request #230 <https://github.com/ipa320/cob_command_tools/issues/230> from fmessmer/auto_recover_diagnostics_based
    do not auto-recover based on diagnostics
  * do not auto-recover based on diagnostics
  * Merge pull request #229 <https://github.com/ipa320/cob_command_tools/issues/229> from HannesBachter/fix/auto_recover
    case insensitive comparison
  * case insensitive comparison
  * Contributors: Felix Messmer, fmessmer, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-helper-tools (0.6.9-2xenial) xenial; urgency=high

  * update maintainer
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-helper-tools (0.6.8-2xenial) xenial; urgency=high

  * Merge pull request #217 <https://github.com/ipa320/cob_command_tools/issues/217> from HannesBachter/feature/textsize_navgoal
    enable setting textsize for visualization of navigation goals
  * use dynamic reconfigure for text size
  * enable setting textsize of navigation goals
  * Contributors: Richard Bormann, hyb, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-helper-tools (0.6.7-2xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #213 <https://github.com/ipa320/cob_command_tools/issues/213> from ipa-fxm/no_recover_em_stop
    do not recover on em_stop
  * do not recover on em_stop
  * Merge pull request #212 <https://github.com/ipa320/cob_command_tools/issues/212> from ipa-fxm/enhance_auto_recover_logic
    enhance auto_recover logic
  * enhance auto_recover logic
  * Merge pull request #197 <https://github.com/ipa320/cob_command_tools/issues/197> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, Florian Weisshardt, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-helper-tools (0.6.6-2xenial) xenial; urgency=high

  * move visualize navigation goals to cob_helper_tools
  * retry init on failure
  * only store timestamp for last recover on success
  * add fake_diagnostics


=== debian/control ===
Source: ros-kinetic-cob-helper-tools
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-dynamic-reconfigure, ros-kinetic-message-generation
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-cob-helper-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cob-msgs, ros-kinetic-cob-script-server, ros-kinetic-diagnostic-msgs, ros-kinetic-dynamic-reconfigure, ros-kinetic-message-runtime, ros-kinetic-rospy, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Description: Helper scripts for Care-O-bot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-helper-tools//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
